#
# spec file for package mpt-status
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mpt-status
Version:        1.2.0
Release:        194.17
Summary:        Program Showing the Status of LSI 1030 RAID Controller
License:        GPL-2.0-or-later
Group:          Hardware/Other
URL:            http://freecode.com/projects/mptstatus
Source:         http://ftp.de.debian.org/debian/pool/main/m/mpt-status/%{name}_%{version}.orig.tar.gz
Patch0:         mpt-status.linux-compiler.patch
BuildRequires:  kernel-source

%description
This program shows the status of the physical and logical drives attached
to a LSI 1030 RAID (mptlinux, fusion, mpt, ioc) controller.

%prep
%autosetup -p1

%build
cc %{optflags} -I/usr/src/linux/drivers/message/fusion -Iincl mpt-status.c -o mpt-status

%install
install -Dpm 0755 mpt-status \
  %{buildroot}%{_bindir}/mpt-status
install -Dpm 0644 man/mpt-status.8 \
  %{buildroot}%{_mandir}/man8/mpt-status.8

%files
%license doc/{COPYING,AUTHORS}
%doc doc/{Changelog,DeveloperNotes,FAQ,README,ReleaseNotes,TODO}
%{_bindir}/mpt-status
%{_mandir}/man8/*

%changelog
* Mon Apr  6 2020 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
  * Mark license and copyright as such
* Tue Apr 16 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
- Cleanup spec file
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sun Aug  5 2007 olh@suse.de
- remove inclusion of linux/compiler.h
* Tue Nov 14 2006 mjancar@suse.cz
- update to 1.2.0
  * works on 64bit architectures (FATE #301702)
* Fri Apr  7 2006 mjancar@suse.cz
- update to 1.1.6
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Aug  1 2005 anicka@suse.cz
- package created
